import { EventEmitter, OnInit } from '@angular/core';
import { AngularFireStorage } from '@angular/fire/storage';
import { Observable } from 'rxjs';
import { FileStoreConfig } from './file-store.config';
import { FileStoreRecord } from './file-store.record';
export declare class FileUploadComponent implements OnInit {
    private storage;
    /**
     * FileStoreConfig object
     */
    config: FileStoreConfig;
    /**
     * By default developmentMode is false
     * Set this to true to observe log outputs on console
     */
    developmentMode?: boolean;
    /**
     * Output event onUpload($event:FileStoreRecord) emitted upon completion of upload task
     */
    onUpload: EventEmitter<FileStoreRecord>;
    showProgress: boolean;
    uploadPercent: Observable<number>;
    fileName: string;
    placeholder: string;
    uploadButtonName: string;
    errorFeedback: string;
    successFeedback: string;
    private fileStoreRecord;
    private uploadMetadata;
    private file;
    constructor(storage: AngularFireStorage);
    ngOnInit(): void;
    inputChanged(e: any): void;
    upload(): void;
    private uploadComplete;
    private uploadFile;
    private consoleLog;
}
